# Set the command-line arguments to pass to the server.
# Due to shell escaping, to pass backslashes for regexes, you need to double
# them (\\d for \d). If running under systemd, you need to double them again
# (\\\\d to mean \d), and escape newlines too.
ARGS=""

# prometheus-alertmanager supports the following options:
#
#  --alerts.gc-interval=30m
#    Interval between alert GC.
#  --cluster.advertise-address=CLUSTER.ADVERTISE-ADDRESS
#    Explicit address to advertise in cluster.
#  --cluster.gossip-interval=200ms
#    Interval between sending gossip messages. By lowering this value (more
#    frequent) gossip messages are propagated across the cluster more quickly
#    at the expense of increased bandwidth.
#  --cluster.listen-address="0.0.0.0:9094"
#    Listen address for cluster. Set to empty string to disable HA mode.
#  --cluster.peer-timeout=15s
#    Time to wait between peers to send notifications.
#  --cluster.peer=CLUSTER.PEER...
#    Initial peers (may be repeated).
#  --cluster.probe-interval=1s
#    Interval between random node probes. Setting this lower (more frequent)
#    will cause the cluster to detect failed nodes more quickly at the expense
#    of increased bandwidth usage.
#  --cluster.probe-timeout=500ms
#    Timeout to wait for an ack from a probed node before assuming it is
#    unhealthy. This should be set to 99-percentile of RTT (round-trip time) on
#    your network.
#  --cluster.pushpull-interval=1m0s
#    Interval for gossip state syncs. Setting this interval lower (more
#    frequent) will increase convergence speeds across larger clusters at the
#    expense of increased bandwidth usage.
#  --cluster.reconnect-interval=10s
#    Interval between attempting to reconnect to lost peers.
#  --cluster.reconnect-timeout=6h0m0s
#    Length of time to attempt to reconnect to a lost peer.
#  --cluster.settle-timeout=1m0s
#    Maximum time to wait for cluster connections to settle before evaluating
#    notifications.
#  --cluster.tcp-timeout=10s
#    Timeout for establishing a stream connection with a remote node for a full
#    state sync, and for stream read and write operations.
#  --config.file="/etc/prometheus/alertmanager.yml"
#    Alertmanager configuration file name.
#  --data.retention=120h
#    How long to keep data for.
#  --log.format=logfmt
#    Output format of log messages. One of: [logfmt, json].
#  --log.level=info
#    Only log messages with the given severity or above. One of: [debug, info,
#    warn, error].
#  --storage.path="/var/lib/prometheus/alertmanager/"
#    Base path for data storage.
#  --template.default="/usr/share/prometheus/alertmanager/default.tmpl"
#    Path to default notification template.
#  --web.config.file=""
#    [EXPERIMENTAL] Path to configuration file that can enable TLS or
#    authentication.
#  --web.external-url=WEB.EXTERNAL-URL
#    The URL under which Alertmanager is externally reachable (for example, if
#    Alertmanager is served via a reverse proxy). Used for generating relative
#    and absolute links back to Alertmanager itself. If the URL has a path
#    portion, it will be used to prefix all HTTP endpoints served by
#    Alertmanager. If omitted, relevant URL components will be derived
#    automatically.
#  --web.get-concurrency=0
#    Maximum number of GET requests processed concurrently. If negative or
#    zero, the limit is GOMAXPROC or 8, whichever is larger.
#  --web.listen-address=":9093"
#    Address to listen on for the web interface and API.
#  --web.route-prefix=WEB.ROUTE-PREFIX
#    Prefix for the internal routes of web endpoints. Defaults to path of
#    --web.external-url.
#  --web.timeout=0
#    Timeout for HTTP requests. If negative or zero, no timeout is set.
#  --web.ui-path="/usr/share/prometheus/alertmanager/ui/"
#    Path to static UI directory.
